Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class ConvertedMap

This class is a general adapter to adapt a map of closures to any Java interface.

author:
  Jochen Theodorou

Constructor Summary
`ConvertedMap(Map closures)` to create a ConvertedMap object.

Method Summary
`Object` | `invokeCustom(Object proxy, Method method, def args)`
`String` | `toString()`

Constructor Detail

### ConvertedMap

    ConvertedMap(Map closures)

  to create a ConvertedMap object.
  param:
    closures the map of closres

Method Detail

### invokeCustom

    public Object invokeCustom(Object proxy, Method method, def args)

### toString

    public String toString()